List Active Channel Alarms – Channels API – MediaKind
List Active Channel Alarms
get /ui/connectors/channels-api/latest/channelalarms/active/
List active alarms for a channel identified by name.
Query parameters
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| channelNames | string | Required |
Response
200 Successful Response
| Property | Type | Required | Description |
|---|---|---|---|
| value | list of objects Alarm | Required | |
| kind | string | Optional | Defaults to Alarm |
| metadata | object AlarmMetadata | Required | |
| id | string | Required | format: uuid |
| name | string | Required | |
| displayName | object | Optional | |
| objectId | object | Optional | |
| channelName | string | Required | |
| created | object | Optional | |
| status | object AlarmStatus | Required | |
| severity | enum Severity | Required | Allowed values: Critical, Major, Minor, Notice, Ignore, Clear |
| additionalInfo | object | Optional | |
| supplemental | object AlarmListSupplemental | Required | |
| count | integer | Required | |
| operation | string | Optional | Defaults to list |
| pagination | object Pagination | Required | |
| start | integer | Required | |
| end | integer | Required | |
| records | integer | Required | |
| total | integer | Required |
Errors
422 Validation Error
| Property | Type | Required | Description |
|---|---|---|---|
| detail | list of objects ValidationError | Optional | |
| loc | list of objects | Required | |
| msg | string | Required | |
| type | string | Required | |
| input | any | Optional | |
| ctx | object | Optional |
503 Service unavailable
No response body.